#!/bin/sh

BASENAME="GMP"

LIB="gmp"
VERSION="6.0.0"
LIBBASE="$LIB-$VERSION"
LIBARCHIVE=${LIBBASE}a.tar.bz2
LIBSUFFIX="a"
LIBNAME="libgmp.$LIBSUFFIX"
URL="https://gmplib.org/download/gmp//$LIBARCHIVE"

BUILD_DIR="$PWD/build/$LIB"
SRC_DIR="$PWD/$LIBBASE"
MAKE_DIR="$SRC_DIR"
INCLUDE_DIR="$SRC_DIR"
FRAMEWORK_DIR="$PWD/$BASENAME.framework"
CONFIGURE_FLAGS="--disable-assembly --enable-static"

. functions.sh

MINIMAL_TARGET=7.0
export CFLAGS="-O2 -miphoneos-version-min=$MINIMAL_TARGET -Wno-error=implicit-function-declaration -DDIV_QR_1N_METHOD=1"
# -no-integrated-as

download_and_extract $LIBARCHIVE $SRC_DIR $URL
mkdir -p $BUILD_DIR/include
make_archs iphoneos arm-apple-darwin armv7 armv7s arm64 
make_archs iphonesimulator '' i386 x86_64

make_framework armv7 armv7s arm64 i386 x86_64
