#!/bin/sh

BASENAME="Libpq"

LIB="postgresql"
VERSION="9.3.4"
LIBBASE="$LIB-$VERSION"
LIBARCHIVE=${LIBBASE}.tar.bz2
LIBSUFFIX=a
LIBNAME="libpq.$LIBSUFFIX"
URL="http://ftp.postgresql.org/pub/source/v$VERSION/$LIBARCHIVE"

BUILD_DIR="$PWD/build/$LIB"
SRC_DIR="$PWD/$LIBBASE"
MAKE_DIR="$SRC_DIR/src/interfaces/libpq"
INCLUDE_DIR="$SRC_DIR/src/interfaces/libpq"
FRAMEWORK_DIR="$PWD/$BASENAME.framework"
CONFIGURE_FLAGS="--without-readline"

. functions.sh

download_and_extract $LIBARCHIVE $SRC_DIR $URL
mkdir -p $BUILD_DIR/include
make_archs iphoneos arm-apple-darwin armv7 armv7s arm64
make_archs iphonesimulator '' i386 x86_64

make_framework armv7 armv7s arm64 i386 x86_64
